Freeciv-3.1: global_worklist Struct Reference

Freeciv-3.1

Loading...
Searching...
No Matches
Data Fields
global_worklist Struct Reference

## Data Fields

int | id
char | name [MAX_LEN_NAME]
enum global_worklist_status | status
union { |
struct { |
int length |
struct uni_name { |
char * kind |
char * name |
} entries [MAX_LEN_WORKLIST] |
} unbuilt |
struct worklist worklist |
}; |  |

## Detailed Description

Definition at line 49 of file global_worklist.c.

## Field Documentation

## ◆ [union]

union { ... } global_worklist

## ◆ [struct]

struct { ... } ::uni_name global_worklist::entries[MAX_LEN_WORKLIST]

Referenced by global_worklist_destroy(), global_worklist_load(), and global_worklist_save().

## ◆ id

int global_worklist::id

Definition at line 50 of file global_worklist.c.

Referenced by global_worklist_alloc(), and global_worklist_id().

## ◆ kind

char* global_worklist::kind

Definition at line 57 of file global_worklist.c.

Referenced by global_worklist_load().

## ◆ length

int global_worklist::length

Definition at line 55 of file global_worklist.c.

Referenced by global_worklist_destroy(), global_worklist_load(), and global_worklist_save().

## ◆ name [1/2]

char global_worklist::name[MAX_LEN_NAME]

Definition at line 51 of file global_worklist.c.

Referenced by global_worklist_name(), global_worklist_save(), and global_worklist_set_name().

## ◆ name [2/2]

char* global_worklist::name

Definition at line 58 of file global_worklist.c.

## ◆ status

enum global_worklist_status global_worklist::status

Definition at line 52 of file global_worklist.c.

Referenced by global_worklist_alloc(), global_worklist_destroy(), global_worklist_get(), global_worklist_is_valid(), global_worklist_save(), and global_worklist_set().

## ◆ [struct]

struct { ... } global_worklist::unbuilt

Referenced by global_worklist_destroy(), global_worklist_load(), and global_worklist_save().

## ◆ worklist

struct worklist global_worklist::worklist

Definition at line 61 of file global_worklist.c.

Referenced by global_worklist_alloc(), global_worklist_get(), global_worklist_save(), and global_worklist_set().